View Issue Details

IDProjectCategoryView StatusLast Update
0003301GNUnetGNSpublic2018-06-07 00:25
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003301: Other record types not available as soon as PKEY is added
DescriptionAs soon as a PKEY record is added, other records for the same name in the same zone can't be looked up anymore.
Steps To Reproduce$ gnunet-identity -C testego

# add an "A" and "TXT" record
$ gnunet-namestore -p -a -n testego -t TXA - 127.0.0.1 -e never
$ gnunet-namestore -p -a -n testego -t TXT "this is my test record" -e never

# both records can be looked up
$ gnunet-gns -u testego.gnu -t A --raw
127.0.0.1

# now we add a PKEY record
gnunet-namestore -p -d -n testego -t PKEY -V JEJMTNP5EICD2EEC1AA31Q0Q5O0DJNEGQ8UQFIU4SC01JGHHP03G -e never

# while '-t PKEY' works, the following hangs
$ gnunet-gns -u testego.gnu -t A
TagsNo tags attached.

Activities

Christian Grothoff

2014-06-08 13:20

manager   ~0008417

Well, you're not supposed to have a PKEY or CNAME record together with other records. The GUI should prevent you from adding PKEY/CNAME records once other records exist (and vice-versa); however, the command-line tool does not yet do that check. That's the real bug here.

Christian Grothoff

2014-06-08 14:23

manager   ~0008419

Fixed in SVN 33601/33602.

Issue History

Date Modified Username Field Change
2014-02-02 20:45 Florian Dold New Issue
2014-02-02 20:45 Florian Dold Status new => assigned
2014-02-02 20:45 Florian Dold Assigned To => Matthias Wachs
2014-06-08 13:20 Christian Grothoff Note Added: 0008417
2014-06-08 13:20 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2014-06-08 13:20 Christian Grothoff Product Version => SVN HEAD
2014-06-08 13:20 Christian Grothoff Target Version => 0.11.0pre66
2014-06-08 14:23 Christian Grothoff Note Added: 0008419
2014-06-08 14:23 Christian Grothoff Status assigned => resolved
2014-06-08 14:23 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-08 14:23 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed